View Issue Details

IDProjectCategoryView StatusLast Update
0002122FreeCADFeaturepublic2015-09-12 14:30
ReporterherrdehAssigned Toabdullah 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002122: sketcher - copy lines is not possible
Descriptioncopy / paste would be greate
mirror at an axis, at a point would be as well

Just draw e.g. a polygone again you already did - that's not what computers were made for.... (-;
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 0e01764f

2015-08-15 08:05:36

Abdullah Tahiri


Committer: wmayer Details Diff
Sketcher: UI Copy/Clone as a single dropdown toolbar icon

=========================================================

This commit provides with a single toolbar button to select between a copy and clone.

Copy just copies the constraints.
Clone modifies the dimensional constraints to geometric constraints, so that the constrained geometry follows the changes in the original object.
Affected Issues
0002122
mod - src/Mod/Sketcher/Gui/CommandSketcherTools.cpp Diff File
mod - src/Mod/Sketcher/Gui/Resources/Sketcher.qrc Diff File
add - src/Mod/Sketcher/Gui/Resources/icons/Sketcher_Clone.svg Diff File
mod - src/Mod/Sketcher/Gui/Workbench.cpp Diff File

Issue History

Date Modified Username Field Change
2015-05-25 08:25 herrdeh New Issue
2015-09-12 14:29 wmayer Changeset attached => FreeCAD Master master 0e01764f
2015-09-12 14:30 wmayer Status new => closed
2015-09-12 14:30 wmayer Assigned To => abdullah
2015-09-12 14:30 wmayer Resolution open => fixed
2015-09-12 14:30 wmayer Fixed in Version => 0.16